Skip to main content
`Ctrl`+`K`

# TaoMonitorCancel

Clears all the monitor functions for a `Tao` object.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorCancel(Tao tao)

Logically Collective

## Input Parameter

- tao - the `Tao` solver context

## Options Database Key

- -tao_monitor_cancel - cancels all monitors that have been hardwired into a code by calls to `TaoMonitorSet()`, but does not cancel those set via the options database

## Note

There is no way to clear one specific monitor from a `Tao` object.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorDefault()`, `TaoMonitorSet()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages